import '../entities/auth_user.dart';
import '../repositories/auth_repository.dart';

class Login {
  final AuthRepository _repository;

  Login(this._repository);

  Future<AuthUserEntity> execute({
    required String email,
    required String password,
  }) {
    return _repository.login(email: email, password: password);
  }
}
